package digital.laboratory.platform.entrustment.dto;

import cn.idev.excel.annotation.ExcelProperty;
import digital.laboratory.platform.sys.entity.DrugLite;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;
import java.util.List;

@Data
@ApiModel(value = "CheckoutResultExcelDTO", description = "存储要导出的检出结果excel数据DTO对象")
public class CheckoutResultExcelDTO {

    @ApiModelProperty("序号")
    @ExcelProperty(value = "序号", index = 0)
    private Integer order;

    @ApiModelProperty("送检日期")
    @ExcelProperty(value = "送检日期", index = 1)
    private String deliverTime;

    @ApiModelProperty("送检单位")
    @ExcelProperty(value = "送检单位", index = 2)
    private String clientOrgName;

    @ApiModelProperty("检材采集地-省")
    @ExcelProperty(value = "检材采集地", index = 3)
    private String provinceCollectPlace;

    @ApiModelProperty("检材采集地-市")
    @ExcelProperty(value = "检材采集地", index = 4)
    private String cityCollectPlace;

    @ApiModelProperty(value="受理编号")
    @ExcelProperty(value = "受理编号", index = 5)
    private String acceptNo;

    @ApiModelProperty(value = "委托检材顺序号，由系统根据录入顺序生成")
    @ExcelProperty(value = "检材编号", index = 6)
    private Integer orderNo;

    @ApiModelProperty(value = "检材类别名称:继承所取物证的类别或从物证类别选择")
    @ExcelProperty(value = "检材类型", index = 7)
    private String typeName;

    @ApiModelProperty(value = "检材颜色:继承所取物证颜色或手动填入")
    @ExcelProperty(value = "检材颜色", index = 8)
    private String color;

    @ApiModelProperty(value = "检材性状名称:继承所取物证性状或从物证性状类别选择")
    @ExcelProperty(value = "检材形态", index = 9)
    private String formName;

    @ApiModelProperty("定性结果")
    @ExcelProperty(value = "定性结果", index = 10)
    private String qualitativeResult;

    @ApiModelProperty("定量结果")
    @ExcelProperty(value = "定量结果", index = 11)
    private String quantitativeResult;

    @ApiModelProperty("其他鉴定结果")
    @ExcelProperty(value = "其他鉴定结果", index = 12)
    private String otherResult;

    @ApiModelProperty("备注")
    @ExcelProperty(value = "备注", index = 13)
    private String remark;
}
